Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Update a thing connection mapping

Prev Next
Put
/inventory/things/{thingId}/mapping

In case the connector mapping is inherited from the parent location, customer, or tenant, it is enough to set only the properties required for asset mapping or, alternatively, for the connection-token mapping (if the connection tokens are used).
For more details about the payload to set, refer to the AssetMapping, ConnectionTokenMapping, and ConnectionMapping objects declared within the schema section of this page.

Required permissions: READ_THING, WRITE_THING, READ_CONNECTION_MAPPING, WRITE_CONNECTION_MAPPING.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the tenant (e.g. acme).

Path parameters
thingId
stringRequired

The thing identifier.

Minimum1.0
Exampleabcd1234
Body parameters

The thing mapping being updated.

object
username
string
password
string
type
string
Valid values[ "SEMIOTY_THING_CONNECTOR", "EDC", "LEMONBEAT", "AZURE_SERVICE_BUS", "ALLEANTIA" ]
payloadFormat
string
Valid values[ "JSON" ]
connectionToken
string
assetId
string
path
string
Responses
200

Successfully updated.

401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
404

Resource was not found.

object
message
string

The error response.

ExampleResource not found
429

API call rate limit exceeded.

object
message
string

The error response.

ExampleAPI call rate limit exceeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error